Eclipse Platform Release 3.7

## org.eclipse.ui.actions
Class ActionContext

    java.lang.Object
      org.eclipse.ui.actions.ActionContext

    public class ActionContext

extends Object

An `ActionContext` represents the context used to determine which actions are added by an `ActionGroup`, and what their enabled state should be.

This class encapsulates a selection and an input element. Clients may subclass this class to add more information to the context.

Constructor Summary
`ActionContext(ISelection selection)` Creates a new action context with the given selection.

Method Summary
`Object` `getInput()` Returns the input element.
`ISelection` `getSelection()` Returns the selection.
`void` `setInput(Object input)` Sets the input element.
`void` `setSelection(ISelection selection)` Sets the selection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionContext

    public ActionContext(ISelection selection)

  Creates a new action context with the given selection.

Method Detail

### getSelection

    public ISelection getSelection()

  Returns the selection.

### setSelection

    public void setSelection(ISelection selection)

  Sets the selection.

### getInput

    public Object getInput()

  Returns the input element.

### setInput

    public void setInput(Object input)

  Sets the input element.

  Parameters:
    `input` -

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.